# Class PickBounds

java.lang.Object
javax.media.j3d.PickShape
javax.media.j3d.PickBounds

public final class PickBounds extends PickShape
PickBounds is a finite pick shape defined with a Bounds object. It can be used as an argument to the picking methods in BranchGroup and Locale.

See Also:
  - `BranchGroup.pickAll(PickShape)`
  - `Locale.pickAll(PickShape)`

## Constructor Summary

Constructors
Constructor
Description
`PickBounds()`
Constructs an empty PickBounds.
`PickBounds(Bounds boundsObject)`
Constructs a PickBounds from the specified bounds object.

## Method Summary

Modifier and Type
Method
Description
`Bounds`
`get()`
Gets the bounds object from this PickBounds.
`void`
`set(Bounds boundsObject)`
Sets the bounds object of this PickBounds to the specified object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PickBounds

public PickBounds()
Constructs an empty PickBounds. The bounds object is set to null.

### PickBounds

public PickBounds(Bounds boundsObject)
Constructs a PickBounds from the specified bounds object.

Parameters:
  `boundsObject` - the bounds of this PickBounds.

## Method Details

### set

public void set(Bounds boundsObject)
Sets the bounds object of this PickBounds to the specified object.

Parameters:
  `boundsObject` - the new bounds of this PickBounds.

### get

public Bounds get()
Gets the bounds object from this PickBounds.

Returns:
  the bounds.